.\" Copyright (c) 1992, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This software was developed by the Computer Systems Engineering group
.\" at Lawrence Berkeley Laboratory under DARPA contract BG 91-66 and
.\" contributed to Berkeley.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	from: Header: le.4,v 1.2 92/10/13 05:31:33 leres Exp
.\"	from: @(#)le.4	8.1 (Berkeley) 6/9/93
.\"	$NetBSD: ec.4,v 1.2 2002/01/15 02:00:43 wiz Exp $
.\"
.Dd August 16, 2001
.Dt EC 4 sun2
.Os
.Sh NAME
.Nm ec
.Nd 3Com 3c400 Multibus Ethernet interface driver
.Sh SYNOPSIS
.Cd "ec0 at mbmem0 addr 0xe0000 ipl 3"
.Cd "ec1 at mbmem0 addr 0xe2000 ipl 3"
.Sh DESCRIPTION
The
.Nm
interface provides access to the 10 Mb/s
.Tn Ethernet
network via the
.Tn 3Com
3c400 Ethernet chip set.
.Pp
Each of the host's network addresses is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm
interface employs the Address Resolution Protocol described in
.Xr arp 4
to dynamically map between Internet and
.Tn Ethernet
addresses on the local network.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ie 4 ,
.Xr inet 4 ,
.Xr intro 4
